summaryrefslogtreecommitdiffstats
path: root/os-plugins/plugins/xserver/files/ubuntu-8.10-gfx-install.sh
diff options
context:
space:
mode:
authorSebastian Schmelzer2009-01-30 21:00:49 +0100
committerSebastian Schmelzer2009-01-30 21:00:49 +0100
commit5945b00016bcc6cb7cd9275b00c2cdcf3325d0bf (patch)
treed07c544d3ea669294980cec8ef2324fe29d39625 /os-plugins/plugins/xserver/files/ubuntu-8.10-gfx-install.sh
parent* escape the URL used to edit the user settings (diff)
downloadcore-5945b00016bcc6cb7cd9275b00c2cdcf3325d0bf.tar.gz
core-5945b00016bcc6cb7cd9275b00c2cdcf3325d0bf.tar.xz
core-5945b00016bcc6cb7cd9275b00c2cdcf3325d0bf.zip
* add check if dkms binary is available..
git-svn-id: http://svn.openslx.org/svn/openslx/openslx/trunk@2557 95ad53e4-c205-0410-b2fa-d234c58c8868
Diffstat (limited to 'os-plugins/plugins/xserver/files/ubuntu-8.10-gfx-install.sh')
-rwxr-xr-xos-plugins/plugins/xserver/files/ubuntu-8.10-gfx-install.sh15
1 files changed, 13 insertions, 2 deletions
diff --git a/os-plugins/plugins/xserver/files/ubuntu-8.10-gfx-install.sh b/os-plugins/plugins/xserver/files/ubuntu-8.10-gfx-install.sh
index b80348eb..64a348c8 100755
--- a/os-plugins/plugins/xserver/files/ubuntu-8.10-gfx-install.sh
+++ b/os-plugins/plugins/xserver/files/ubuntu-8.10-gfx-install.sh
@@ -19,6 +19,17 @@ else
KVER=$(find /lib/modules/2.6* -maxdepth 0|sed 's,/lib/modules/,,g'|sort|tail -n1)
fi
+if [ ! -e "/usr/sbin/dkms" ]; then
+ echo -n " * DKMS not found: installing .."
+ aptitude install dkms > /dev/null 2>&1
+ if [ $? -eq 1 ]; then
+ echo "fail"
+ echo " * Didn't get package dkms! Exit now!"
+ exit 1
+ else
+ echo "ok"
+ fi
+fi
case ${TARGET} in
ati)
@@ -55,7 +66,7 @@ case ${TARGET} in
FGLRX_FULL_VERSION=$(echo ${FGLRX_SOURCE_DIR} | \
sed -e 's/\/usr\/src\/fglrx-//')
- FGLRX_DKMS_DIR="/var/lib/dkms/fglrx/${FGLRX_FULL_VERSION}/"
+ FGLRX_DKMS_DIR="/var/lib/dkms/fglrx/${FGLRX_FULL_VERSION}"
if [ -d /var/lib/dkms/fglrx/${FGLRX_FULL_VERSION} ]; then
if [ ! -L ${FGLRX_DKMS_DIR}/source ]; then
@@ -151,7 +162,7 @@ case ${TARGET} in
NVIDIA_FULL_VERSION=$(echo ${NVIDIA_SOURCE_DIR} | \
sed -e 's/\/usr\/src\/nvidia-//')
- NVIDIA_DKMS_DIR="/var/lib/dkms/nvidia/${NVIDIA_FULL_VERSION}/"
+ NVIDIA_DKMS_DIR="/var/lib/dkms/nvidia/${NVIDIA_FULL_VERSION}"
if [ -d /var/lib/dkms/nvidia/${NVIDIA_FULL_VERSION} ]; then
if [ ! -L ${NVIDIA_DKMS_DIR}/source ]; then